Package org.springframework.cache.jcache.config

# Class JCacheConfigurerSupport

java.lang.Object
org.springframework.cache.annotation.CachingConfigurerSupport
org.springframework.cache.jcache.config.JCacheConfigurerSupport

All Implemented Interfaces:
  `org.springframework.cache.annotation.CachingConfigurer`, `JCacheConfigurer`

@Deprecated(since="6.0") public class JCacheConfigurerSupport extends org.springframework.cache.annotation.CachingConfigurerSupport implements JCacheConfigurer
Deprecated.
as of 6.0 in favor of implementing `JCacheConfigurer` directly
An extension of `CachingConfigurerSupport` that also implements `JCacheConfigurer`.

Users of JSR-107 annotations may extend from this class rather than implementing from `JCacheConfigurer` directly.

Since:
  4.1
Author:
  Stephane Nicoll
See Also:
  - `JCacheConfigurer`
  - `CachingConfigurerSupport`

## Constructor Summary

Constructors
Constructor
Description
`JCacheConfigurerSupport()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.cache.interceptor.CacheResolver`
`exceptionCacheResolver()`
Deprecated.
Return the `CacheResolver` bean to use to resolve exception caches for annotation-driven cache management.

### Methods inherited from class org.springframework.cache.annotation.CachingConfigurerSupport

`cacheManager, cacheResolver, errorHandler, keyGenerator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.cache.annotation.CachingConfigurer

`cacheManager, cacheResolver, errorHandler, keyGenerator`

## Constructor Details

### JCacheConfigurerSupport

public JCacheConfigurerSupport()
Deprecated.

## Method Details

### exceptionCacheResolver

@Nullable public org.springframework.cache.interceptor.CacheResolver exceptionCacheResolver()
Deprecated.
Description copied from interface: `JCacheConfigurer`
Return the `CacheResolver` bean to use to resolve exception caches for annotation-driven cache management. Implementations must explicitly declare `@Bean`, for example,

     @Configuration
     @EnableCaching
     public class AppConfig implements JCacheConfigurer {
         @Bean // important!
         @Override
         public CacheResolver exceptionCacheResolver() {
             // configure and return CacheResolver instance
         }
         // ...
     }

See `EnableCaching` for more complete examples.

Specified by:
  `exceptionCacheResolver` in interface `JCacheConfigurer`